cPanel & WHM only supports Rocky Linux on version 106 or greater

Inna

Active Member
Mar 10, 2018
35
6
8
Iran
cPanel Access Level
Root Administrator
Hello,
I'm trying to do a clean install of cPanel on Rocky Linux 8.6 but I get this error:
2022-06-29 10:51:18 677 [23577] (FATAL): cPanel & WHM only supports Rocky Linux on version 106 or greater. Please refer to our additional installation instructions at cPanel & WHM version 100 for Ubuntu 20.04 LTS | cPanel & WHM Documentation
That's while a week ago I did install cPanel latest version on another server Rocky Linux 8.6 (it's cPanel version is 104).
[[email protected] home]# cat /etc/*release
Rocky Linux release 8.6 (Green Obsidian)
NAME="Rocky Linux"
VERSION="8.6 (Green Obsidian)"
ID="rocky"
ID_LIKE="rhel centos fedora"
VERSION_ID="8.6"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Rocky Linux 8.6 (Green Obsidian)
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:rocky:rocky:8:GA"
HOME_URL="https://rockylinux.org/"
BUG_REPORT_URL="https://bugs.rockylinux.org/
ROCKY_SUPPORT_PRODUCT="Rocky Linux"
ROCKY_SUPPORT_PRODUCT_VERSION="8"
REDHAT_SUPPORT_PRODUCT="Rocky Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="8"
Rocky Linux release 8.6 (Green Obsidian)
Rocky Linux release 8.6 (Green Obsidian)
Rocky Linux release 8.6 (Green Obsidian)
While the latest version 106 seems has not yet released: Product Versions and the Release Process | cPanel & WHM Documentation
This is my /etc/cpupdate.conf:
Code:
CPANEL=106
RPMUP=daily
SARULESUP=daily
STAGING_DIR=/usr/local/cpanel
UPDATES=daily
This is the error:
Code:
2022-06-29 11:31:35  136 [24546] (FATAL): The specified tier ('11.106') in the /etc/cpupdate.conf file is not a valid cPanel & WHM tier.
How to resolve that?
 

Inna

Active Member
Mar 10, 2018
35
6
8
Iran
cPanel Access Level
Root Administrator
Hello! Can you try placing the following in /etc/cpupdate.conf instead of CPANEL=106, then re-attempting the installation?

Code:
CPANEL=edge
Let me know if you're still seeing issues afterward.
I have tried that, but by replacing edge with 106, but during installation ea4 it threw error (I did not take screenshot or log), and I am now installing the OS again.
 

Inna

Active Member
Mar 10, 2018
35
6
8
Iran
cPanel Access Level
Root Administrator
I tried again and this is the error:
Code:
[2022-06-29 23:28:42 +0430] [11377] ( INFO): Completed execution of “/usr/local/cpanel/scripts/check_cpanel_pkgs --fix --no-broken --no-digest --download-only” in 8.289 second(s)
[2022-06-29 23:28:42 +0430] [11377] (FATAL): The background process “EA4 Install” failed with a fatal error: The subprocess reported error number 127 when it ended.
2022-06-29 23:28:42   44 [7419] ( INFO): cPanel is here to help! Our Technical Support team is just a click away at https://support.cpanel.net/ or you can contact Customer Service via email [email protected]
2022-06-29 23:28:42  118 [7419] (FATAL): The system failed to run the /usr/local/cpanel/scripts/cpanel_initial_install script.
 

cPanelWilliam

Administrator
Staff member
Mar 13, 2018
108
17
93
Houston
cPanel Access Level
Root Administrator
Hello, thank you for your update. I've also been unsuccessful in installing cPanel on my own RockyLinux images. I encountered similar errors to the ones you reported.

After conferring with my team, it appears that we are still working on implementing RockyLinux support into v106, where it will be experimental. So, at this time it appears that there are still issues preventing the installation of cPanel on RockyLinux, but our development team is working to address them.
 
  • Like
Reactions: Inna

Inna

Active Member
Mar 10, 2018
35
6
8
Iran
cPanel Access Level
Root Administrator
Regarding errors I should say that I did not add any entry to /etc/cpupdate.conf, so the default version and default behavior is the above error.
What I did is I first installed CloudLinux so that error of RockyLinux is gone, then tried installing cPanel 104.

BTW, when I first install CloudLinux (in my case 8.6), it installs cPanel 104 by default.
But if I try with RockyLinux, it throws error about cPanel should be 106 or greater.

The other server I mentioned that was installed around a week ago, it's cPanel version is 104 and I did install with the above method in my case.
I think one reason for this error is that the new server does not have a stable network, but main issue is that I should change RockyLinux to CloudLinux, then install cPanel (supposing server has an stable network).